# You must rebuild samba src rpm before to have actual headers
%define sambaversion 3.0.21b

Summary:	ClamAV scanning VFS module for samba
Name:		samba-vscan-clamav
Version:	0.3.6b
Release:	2
License:	GPL
Group:		Applications/System
URL:		http://www.openantivirus.org/
Source0:	samba-vscan-%{version}.tar.bz2
Source1:	RPM-samba-vscan-clamav.txt
Requires:	clamav
Requires:	samba >= %{sambaversion}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Virus scanning VFS module for samba. Log infected files via syslog
facility and block access using Clam AntiVirus Daemon.


%prep
%setup -q -n samba-vscan-%{version}


%build
%configure \
	--with-fhs \
	--with-samba-source=../samba-%{sambaversion}/source
%{__make} clamav
strip vscan-clamav.so


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/samba/
install -d $RPM_BUILD_ROOT%{_libdir}/samba/vfs/

# Fix socket config
sed -e 's!^clamd socket .*!clamd socket name = /var/run/clamav/clamd.sock!;' \
	clamav/vscan-clamav.conf > $RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan-clamav.conf

install vscan-clamav.so $RPM_BUILD_ROOT%{_libdir}/samba/vfs/.
install %{SOURCE1} RPM-samba-vscan-clamav.txt


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%pre

%post

%preun

%postun


%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING ChangeLog FAQ INSTALL NEWS README TODO VERSION
%doc RPM-samba-vscan-clamav.txt
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/samba/vscan-clamav.conf
%attr(0755,root,root) %{_libdir}/samba/vfs/vscan-clamav.so


%changelog
* Sun Mar 26 2006 Petr Kritof <Petr|Kristof_CZ> 0.3.6b-2
- Compiled with clamav 0.88
- Rebuild on FC-5

* Wed Jan 4 2006 Petr Kritof <Petr|Kristof_CZ> 0.3.6b-1
- Compiled with clamav 0.87.1
- Based on samba 3.0.14a
- Update to 0.3.6b
- Rebuild on FC-4

* Sun May 1 2005 Petr Kritof <Petr|Kristof_CZ> 0.3.6-1
- Update to 0.3.6

* Mon Feb 14 2005 Petr Kritof <Petr|Kristof_CZ> 0.3.5-6
- Update to clamav-0.83

* Wed Jan 19 2005 Petr Kritof <Petr|Kristof_CZ> 0.3.5-5
- Update to samba-3.0.10
- Update to clamav-0.81

* Sat Dec 4 2004 Petr Kritof <Petr|Kristof_CZ> 0.3.5-4
- Based on samba 3.0.9
- Based on clamav 0.80

* Mon Nov 15 2004 Petr Kritof <Petr|Kristof_CZ> 0.3.5-3
- Rebuild on FC-3

* Mon Jun 14 2004 Petr Kritof <Petr|Kristof_CZ> 0.3.5-2
- Rebuild on FC-2

* Wed May 19 2004 Petr Kritof <Petr|Kristof_CZ> 0.3.5-1
- Update to 0.3.5

* Mon Mar 15 2004 Petr Kritof <Petr|Kristof_CZ> 0.3.5alpha2-1
- Initial FC-1

